## kdevelop-php 25.08.2+p24.04+vstable+git20251015.1830

=== debian/changelog ===
kdevelop-php (25.08.2+p24.04+vstable+git20251015.1830-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 18:30:11 +0000

kdevelop-php (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 03:45:32 +0000
