=== debian/control ===
Source: kdevelop-php
Section: devel
Priority: optional
Uploaders: Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Andreas Cord-Landwehr <cola@uni-paderborn.de>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kdevelop-dev,
               kdevelop-pg-qt,
               kdevplatform-dev,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kcmutils-dev,
               kf6-ki18n-dev,
               kf6-kitemmodels-dev,
               kf6-knewstuff-dev,
               kf6-knotifyconfig-dev,
               kf6-ktexteditor-dev,
               kf6-ktexttemplate-dev,
               kf6-syntax-highlighting-dev,
               kf6-threadweaver-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-webengine-dev
Standards-Version: 4.6.2
Homepage: http://www.kdevelop.org/
Vcs-Git: https://invent.kde.org/neon/extras/kdevelop-php.git
Vcs-Browser: https://invent.kde.org/neon/extras/kdevelop-php
Maintainer: Neon CI <neon@kde.org>

Package: kdevelop-php
Architecture: any
Depends: kdevelop, ${misc:Depends}, ${shlibs:Depends}
Enhances: kdevelop
Breaks: kdevelop-php-docs (<< 24.08.1),
        kdevelop-php-docs-l10n (<< 24.08.1),
        kdevelop-php-l10n (<< 24.08.1)
Replaces: kdevelop-php-docs (<< 24.08.1),
          kdevelop-php-docs-l10n (<< 24.08.1),
          kdevelop-php-l10n (<< 24.08.1)
Description: PHP plugin for KDevelop
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 This package contains the PHP language support plugin.

Package: kdevelop-php-l10n
Architecture: all
Section: oldlibs
Depends: kdevelop-php (>= ${source:Version}), ${misc:Depends}
Description: Dummy transitional.
 This is a dummy transitional package and can be safely removed.

Package: kdevelop-php-docs
Architecture: all
Section: oldlibs
Priority: extra
Depends: kdevelop-php (>= ${source:Version}), ${misc:Depends}
Description: transitional package for kdevelop-php
 This is a dummy transitional package and can be safely removed.

Package: kdevelop-php-docs-l10n
Architecture: all
Section: oldlibs
Priority: extra
Depends: kdevelop-php-l10n (>= ${source:Version}), ${misc:Depends}
Description: transitional package for kdevelop-php-l10n
 This is a dummy transitional package and can be safely removed.
