## kdevelop-php 25.08.2+p24.04+vstable+git20251031.0332

=== debian/changelog ===
kdevelop-php (25.08.2+p24.04+vstable+git20251031.0332-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 03:32:23 +0000
