=== debian/changelog ===
kdevelop-php (25.08.2+p24.04+vunstable+git20251015.1831-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 18:31:15 +0000
