## kdevelop-php 25.08.2+p24.04+vunstable+git20251020.0537

=== debian/changelog ===
kdevelop-php (25.08.2+p24.04+vunstable+git20251020.0537-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 05:37:36 +0000
