## kdevelop-php 25.08.3+p24.04+vstable+git20251204.0132

=== debian/changelog ===
kdevelop-php (25.08.3+p24.04+vstable+git20251204.0132-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 01:32:29 +0000

kdevelop-php (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:46:33 +1000
