## kdevelop-php 25.08.3+p24.04+vunstable+git20251123.1338

=== debian/changelog ===
kdevelop-php (25.08.3+p24.04+vunstable+git20251123.1338-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 13:38:45 +0000
