## kdevelop-php 25.08.3+p24.04+vunstable+git20251204.0021

=== debian/changelog ===
kdevelop-php (25.08.3+p24.04+vunstable+git20251204.0021-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 00:21:54 +0000
