=== debian/changelog ===
kdevelop-php (25.11.80-0ubuntu1) resolute; urgency=high

  * New upstream (beta) release (25.11.80)
  * d/rules: Bump KDEV_PLUGIN_VERSION to 64.

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 09:18:00 +0000
