=== debian/changelog ===
kdevelop-php (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:04:12 +0000

kdevelop-php (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)
  * d/rules: Bump KDEV_PLUGIN_VERSION to 64.

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 09:18:00 +0000
