## kdevelop-php 25.12.0+p24.04+vstable+git20251208.2314

=== debian/changelog ===
kdevelop-php (25.12.0+p24.04+vstable+git20251208.2314-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 23:14:28 +0000

kdevelop-php (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:43:06 +1000
