## kdevelop-php 25.12.0+p24.04+vstable+git20260104.0128

=== debian/changelog ===
kdevelop-php (25.12.0+p24.04+vstable+git20260104.0128-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 04 Jan 2026 01:28:05 +0000
